/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Get Attack Discovery API endpoint
 *   version: 1
 */

import { z } from '@kbn/zod';

import { NonEmptyString } from '../common_attributes.gen';
import { AttackDiscoveryResponse, AttackDiscoveryStat } from './common_attributes.gen';

export type AttackDiscoveryGetRequestParams = z.infer<typeof AttackDiscoveryGetRequestParams>;
export const AttackDiscoveryGetRequestParams = z.object({
  /**
   * The connector id for which to get the attack discovery
   */
  connectorId: NonEmptyString,
});
export type AttackDiscoveryGetRequestParamsInput = z.input<typeof AttackDiscoveryGetRequestParams>;

export type AttackDiscoveryGetResponse = z.infer<typeof AttackDiscoveryGetResponse>;
export const AttackDiscoveryGetResponse = z.object({
  data: AttackDiscoveryResponse.optional(),
  /**
   * Attack discovery stats per connector
   */
  stats: z.array(AttackDiscoveryStat),
});
