/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const SELECTED_CONVERSATION_LABEL = i18n.translate(
  'xpack.elasticAssistant.assistant.conversationSelector.defaultConversationTitle',
  {
    defaultMessage: 'Conversations',
  }
);

export const CONVERSATION_SELECTOR_ARIA_LABEL = i18n.translate(
  'xpack.elasticAssistant.assistant.conversationSelector.ariaLabel',
  {
    defaultMessage: 'Conversation selector',
  }
);

export const CONVERSATION_SELECTOR_PLACE_HOLDER = i18n.translate(
  'xpack.elasticAssistant.assistant.conversationSelector.placeholderTitle',
  {
    defaultMessage: 'Select or type to create new...',
  }
);

export const CONVERSATION_SELECTOR_CUSTOM_OPTION_TEXT = i18n.translate(
  'xpack.elasticAssistant.assistant.conversationSelector.CustomOptionTextTitle',
  {
    defaultMessage: 'Create new conversation:',
  }
);

export const PREVIOUS_CONVERSATION_TITLE = i18n.translate(
  'xpack.elasticAssistant.assistant.conversationSelector.previousConversationTitle',
  {
    defaultMessage: 'Previous conversation',
  }
);

export const NEXT_CONVERSATION_TITLE = i18n.translate(
  'xpack.elasticAssistant.assistant.conversationSelector.nextConversationTitle',
  {
    defaultMessage: 'Next conversation',
  }
);

export const DELETE_CONVERSATION = i18n.translate(
  'xpack.elasticAssistant.assistant.conversationSelector.deleteConversationTitle',
  {
    defaultMessage: 'Delete conversation',
  }
);
