/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const SETTINGS = i18n.translate(
  'xpack.elasticAssistant.assistant.settings.settingsAriaLabel',
  {
    defaultMessage: 'Settings',
  }
);

export const SECURITY_AI_SETTINGS = i18n.translate(
  'xpack.elasticAssistant.assistant.settings.securityAiSettingsTitle',
  {
    defaultMessage: 'Security AI settings',
  }
);

export const SETTINGS_UPDATED_TOAST_TITLE = i18n.translate(
  'xpack.elasticAssistant.assistant.settings.settingsUpdatedToastTitle',
  {
    defaultMessage: 'Settings updated',
  }
);

export const CONNECTORS_MENU_ITEM = i18n.translate(
  'xpack.elasticAssistant.assistant.settings.settingsConnectorsMenuItemTitle',
  {
    defaultMessage: 'Connectors',
  }
);

export const CONVERSATIONS_MENU_ITEM = i18n.translate(
  'xpack.elasticAssistant.assistant.settings.settingsConversationsMenuItemTitle',
  {
    defaultMessage: 'Conversations',
  }
);

export const QUICK_PROMPTS_MENU_ITEM = i18n.translate(
  'xpack.elasticAssistant.assistant.settings.settingsQuickPromptsMenuItemTitle',
  {
    defaultMessage: 'Quick Prompts',
  }
);

export const SYSTEM_PROMPTS_MENU_ITEM = i18n.translate(
  'xpack.elasticAssistant.assistant.settings.settingsSystemPromptsMenuItemTitle',
  {
    defaultMessage: 'System Prompts',
  }
);

export const ANONYMIZATION_MENU_ITEM = i18n.translate(
  'xpack.elasticAssistant.assistant.settings.settingsAnonymizationMenuItemTitle',
  {
    defaultMessage: 'Anonymization',
  }
);

export const KNOWLEDGE_BASE_MENU_ITEM = i18n.translate(
  'xpack.elasticAssistant.assistant.settings.settingsKnowledgeBaseMenuItemTitle',
  {
    defaultMessage: 'Knowledge Base',
  }
);

export const EVALUATION_MENU_ITEM = i18n.translate(
  'xpack.elasticAssistant.assistant.settings.settingsEvaluationMenuItemTitle',
  {
    defaultMessage: 'Evaluation',
  }
);

export const CANCEL = i18n.translate(
  'xpack.elasticAssistant.assistant.promptEditor.systemPrompt.slCancelButtonTitle',
  {
    defaultMessage: 'Cancel',
  }
);

export const SAVE = i18n.translate(
  'xpack.elasticAssistant.assistant.promptEditor.systemPrompt.slSaveButtonTitle',
  {
    defaultMessage: 'Save',
  }
);

export const DELETE = i18n.translate(
  'xpack.elasticAssistant.assistant.promptEditor.systemPrompt.slDeleteButtonTitle',
  {
    defaultMessage: 'Delete',
  }
);
