/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import type { SignificantItemGroup } from '@kbn/ml-agg-utils';

export const topTermsGroups: SignificantItemGroup[] = [
  {
    id: '1921491265',
    group: [
      {
        key: 'response_code:500',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '500',
        docCount: 2272,
        pValue: 1,
        duplicate: 7,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 2272,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:home.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'home.php',
        docCount: 1097,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Paul',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Paul',
        docCount: 602,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 602,
    pValue: 1,
  },
  {
    id: '1354434627',
    group: [
      {
        key: 'response_code:500',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '500',
        docCount: 2272,
        pValue: 1,
        duplicate: 7,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 2272,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:home.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'home.php',
        docCount: 1097,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Mary',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Mary',
        docCount: 495,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 495,
    pValue: 1,
  },
  {
    id: '1539462188',
    group: [
      {
        key: 'response_code:500',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '500',
        docCount: 2272,
        pValue: 1,
        duplicate: 7,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 2272,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:login.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'login.php',
        docCount: 787,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Paul',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Paul',
        docCount: 411,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 411,
    pValue: 1,
  },
  {
    id: '1553868016',
    group: [
      {
        key: 'response_code:500',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '500',
        docCount: 2272,
        pValue: 1,
        duplicate: 7,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 2272,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:login.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'login.php',
        docCount: 787,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Mary',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Mary',
        docCount: 376,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 376,
    pValue: 1,
  },
  {
    id: '3400778144',
    group: [
      {
        key: 'response_code:200',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '200',
        docCount: 1261,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1261,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:home.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'home.php',
        docCount: 473,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Peter',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Peter',
        docCount: 318,
        pValue: 1,
        duplicate: 7,
      },
    ],
    docCount: 318,
    pValue: 1,
  },
  {
    id: '2753923470',
    group: [
      {
        key: 'response_code:404',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '404',
        docCount: 1569,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1569,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:home.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'home.php',
        docCount: 627,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Peter',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Peter',
        docCount: 318,
        pValue: 1,
        duplicate: 7,
      },
    ],
    docCount: 318,
    pValue: 1,
  },
  {
    id: '611881711',
    group: [
      {
        key: 'response_code:200',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '200',
        docCount: 1261,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1261,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:user.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'user.php',
        docCount: 420,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'user:Peter',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Peter',
        docCount: 317,
        pValue: 1,
        duplicate: 7,
      },
    ],
    docCount: 317,
    pValue: 1,
  },
  {
    id: '1605132418',
    group: [
      {
        key: 'response_code:404',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '404',
        docCount: 1569,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1569,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:user.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'user.php',
        docCount: 523,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'user:Peter',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Peter',
        docCount: 317,
        pValue: 1,
        duplicate: 7,
      },
    ],
    docCount: 317,
    pValue: 1,
  },
  {
    id: '1389551523',
    group: [
      {
        key: 'response_code:200',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '200',
        docCount: 1261,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1261,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:login.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'login.php',
        docCount: 368,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Peter',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Peter',
        docCount: 316,
        pValue: 1,
        duplicate: 7,
      },
    ],
    docCount: 316,
    pValue: 1,
  },
  {
    id: '1156337696',
    group: [
      {
        key: 'response_code:404',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '404',
        docCount: 1569,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1569,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:login.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'login.php',
        docCount: 419,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Peter',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Peter',
        docCount: 316,
        pValue: 1,
        duplicate: 7,
      },
    ],
    docCount: 316,
    pValue: 1,
  },
  {
    id: '3582406482',
    group: [
      {
        key: 'response_code:404',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '404',
        docCount: 1569,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1569,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:home.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'home.php',
        docCount: 627,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Paul',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Paul',
        docCount: 190,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 190,
    pValue: 1,
  },
  {
    id: '1758796965',
    group: [
      {
        key: 'response_code:500',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '500',
        docCount: 2272,
        pValue: 1,
        duplicate: 7,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 2272,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:user.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'user.php',
        docCount: 388,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'user:Paul',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Paul',
        docCount: 190,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 190,
    pValue: 1,
  },
  {
    id: '943892302',
    group: [
      {
        key: 'response_code:404',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '404',
        docCount: 1569,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1569,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:user.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'user.php',
        docCount: 523,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'user:Paul',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Paul',
        docCount: 127,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 127,
    pValue: 1,
  },
  {
    id: '3952579328',
    group: [
      {
        key: 'response_code:404',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '404',
        docCount: 1569,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1569,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:home.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'home.php',
        docCount: 627,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Mary',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Mary',
        docCount: 119,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 119,
    pValue: 1,
  },
  {
    id: '1573710542',
    group: [
      {
        key: 'response_code:500',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '500',
        docCount: 2272,
        pValue: 1,
        duplicate: 7,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 2272,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:user.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'user.php',
        docCount: 388,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'user:Mary',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Mary',
        docCount: 119,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 119,
    pValue: 1,
  },
  {
    id: '1384949010',
    group: [
      {
        key: 'response_code:200',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '200',
        docCount: 1261,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1261,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:home.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'home.php',
        docCount: 473,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Paul',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Paul',
        docCount: 95,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 95,
    pValue: 1,
  },
  {
    id: '3945828984',
    group: [
      {
        key: 'response_code:404',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '404',
        docCount: 1569,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1569,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:user.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'user.php',
        docCount: 523,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'user:Mary',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Mary',
        docCount: 79,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 79,
    pValue: 1,
  },
  {
    id: '3487185726',
    group: [
      {
        key: 'response_code:500',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '500',
        docCount: 2272,
        pValue: 1,
        duplicate: 7,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 2272,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:user.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'user.php',
        docCount: 388,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'user:Peter',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Peter',
        docCount: 79,
        pValue: 1,
        duplicate: 7,
      },
    ],
    docCount: 79,
    pValue: 1,
  },
  {
    id: '113295987',
    group: [
      {
        key: 'response_code:200',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '200',
        docCount: 1261,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1261,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:user.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'user.php',
        docCount: 420,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'user:Paul',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Paul',
        docCount: 63,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 63,
    pValue: 1,
  },
  {
    id: '2896531546',
    group: [
      {
        key: 'response_code:404',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '404',
        docCount: 1569,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1569,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:login.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'login.php',
        docCount: 419,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Paul',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Paul',
        docCount: 63,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 63,
    pValue: 1,
  },
  {
    id: '2376883532',
    group: [
      {
        key: 'response_code:200',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '200',
        docCount: 1261,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1261,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:home.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'home.php',
        docCount: 473,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Mary',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Mary',
        docCount: 60,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 60,
    pValue: 1,
  },
  {
    id: '3927320460',
    group: [
      {
        key: 'response_code:200',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '200',
        docCount: 1261,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1261,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:user.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'user.php',
        docCount: 420,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'user:Mary',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Mary',
        docCount: 40,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 40,
    pValue: 1,
  },
  {
    id: '769745306',
    group: [
      {
        key: 'response_code:404',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '404',
        docCount: 1569,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1569,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:login.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'login.php',
        docCount: 419,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Mary',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Mary',
        docCount: 40,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 40,
    pValue: 1,
  },
  {
    id: '2532116164',
    group: [
      {
        key: 'response_code:200',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '200',
        docCount: 1261,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1261,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:login.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'login.php',
        docCount: 368,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Paul',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Paul',
        docCount: 32,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 32,
    pValue: 1,
  },
  {
    id: '1953946181',
    group: [
      {
        key: 'response_code:200',
        type: 'keyword',
        fieldName: 'response_code',
        fieldValue: '200',
        docCount: 1261,
        pValue: 1,
        duplicate: 9,
      },
      {
        key: 'version:v1.0.0',
        type: 'keyword',
        fieldName: 'version',
        fieldValue: 'v1.0.0',
        docCount: 1261,
        pValue: 1,
        duplicate: 25,
      },
      {
        key: 'url:login.php',
        type: 'keyword',
        fieldName: 'url',
        fieldValue: 'login.php',
        docCount: 368,
        pValue: 1,
        duplicate: 8,
      },
      {
        key: 'user:Mary',
        type: 'keyword',
        fieldName: 'user',
        fieldValue: 'Mary',
        docCount: 20,
        pValue: 1,
        duplicate: 9,
      },
    ],
    docCount: 20,
    pValue: 1,
  },
];
